<?xml version="1.0" encoding="utf-8"?>
<ManualTopic ID="/baanerp/tt/onlinemanual/vrm_export_import_procedure" xml:lang="en">
	<Header>
		<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Export and import procedure</Title>
		<Keyword ContextSensitive="No"><Level1>Version and release management</Level1>
			<Level2>export and import procedure</Level2>
		</Keyword>
		<Keyword ContextSensitive="No"><Level1>Software components</Level1>
			<Level2>export and import procedure</Level2>
		</Keyword>
		<Keyword ContextSensitive="No"><Level1>Export and import procedure</Level1>
		</Keyword>
	</Header>
	<GeneralSection><SectionTitle>Procedure aim</SectionTitle>
		<Paragraph class="Default">An environment must be filled with software components. You can use the export/import procedure to fill an environment with software components.</Paragraph>
	</GeneralSection>
	<GeneralSection><SectionTitle>Procedure result and prerequisites</SectionTitle>
		<Tip><SectionTitle>Result</SectionTitle>
			<Paragraph class="Default">The process results in a new environment that normal users, for example, can use as their runtime environment. Developers can also use this environment as a development environment to create new components to customize existing components.</Paragraph>
		</Tip>
		<Tip><SectionTitle>Prerequisites</SectionTitle>
			<Paragraph class="Default">Make sure that the environment is created successfully. You can create an environment through the <Link href="/baanerp/tt/onlinemanual/vrm_standard_sw_env_procedure" role="manual">Standard software environment procedure</Link>, or through the <Link href="/baanerp/tt/onlinemanual/vrm_one_step_sw_env_procedure" role="manual">One-step software environment procedure</Link>.</Paragraph>
		</Tip>
	</GeneralSection>
	<GeneralSection><SectionTitle>Procedure summary</SectionTitle>
		<ProcedureList><ListIntro>The following list shows the procedure steps and the corresponding sessions.</ListIntro>
			<ListItem>Export components from a software environment to sequential files - <Link href="/baanerp/tt/iex/ttiex1280m000" role="session">Export Data Dictionary (ttiex1280m000)</Link>
			</ListItem>
			<ListItem>Only if the source and the target environments are located on different systems: transfer the sequential files to the target system</ListItem>
			<ListItem>Import components from the sequential files into the target environment - <Link href="/baanerp/tt/iex/ttiex1285m000" role="session">Import Data Dictionary (ttiex1285m000)</Link>
			</ListItem>
			<ListItem>Create the run-time data dictionary for <Link href="/baanerp/tt/glossary/glossary#label.tt" role="glossary" Update="No">labels</Link>- <Link href="/baanerp/tt/adv/ttadv1243m000" role="session">Compile Labels (ttadv1243m000)</Link>
			</ListItem>
			<ListItem>Create the run-time data dictionary of the components in the target <Link href="/baanerp/tt/glossary/glossary#000000000000012" role="glossary">package combination</Link>- <Link href="/baanerp/tt/adv/ttadv5210m000" role="session">Create Runtime Data Dictionary (ttadv5210m000)</Link>
			</ListItem>
			<ListItem>Compile the <Link href="/baanerp/tt/glossary/glossary#progscript.tt" role="glossary" Update="No">program scripts</Link> and library scripts of the copied components - <Link href="/baanerp/tt/adv/ttadv2230m000" role="session">Compile Program Scripts / Libraries (ttadv2230m000)</Link>
			</ListItem>
			<ListItem>Compile the reports of the copied components - <Link href="/baanerp/tt/adv/ttadv3240m000" role="session">Compile Reports (ttadv3240m000)</Link>
			</ListItem>
			<ListItem>Create the run-time data dictionary of the forms and menus - <Link href="/baanerp/tt/adv/ttadv5214m000" role="session">Create Runtime Data Dictionary (Forms and Menus) (ttadv5214m000)</Link>
			</ListItem>
			<ListItem>Install Infor Web Help for the components in the target environment</ListItem>
		</ProcedureList>
		<Note><SectionTitle>
                                 Note
                              </SectionTitle>
			<Paragraph class="Default">The compilation of program scripts/libraries and reports, and the creation of the runtime dictionary for forms and menus is only necessary if you did not export objects/dumps for these components.</Paragraph>
		</Note>
	</GeneralSection>
	<RelatedTopics><SectionTitle>
                              Related topics
                           </SectionTitle>
		<RelTopic><Link href="/baanerp/tt/onlinemanual/vrm_export_import_procedure_details" role="manual">Export and import procedure details</Link>
		</RelTopic>
	</RelatedTopics>
</ManualTopic>
